import store from '../../store'
import create from '../../utils/create'
import fetch from '../../utils/http'
import { get as getApi } from '../../config/api'

const app = getApp()

create(store, {
  onShow() {
    wx.setNavigationBarTitle({
      title: '收藏的楼盘'
    })
  },
  onLoad () {
    const userInfo = app.globalData.UserInfo

    fetch({
      ...getApi('user.building', { openid: userInfo.openid }),
      query: { pageNum: 1, pageSize: 10 },
    }).then(({ data }) => {
      const list = data.records || []
      this.setData({ list })
    }).catch((err) => {
      wx.showToast({
        title: '获取列表失败',
        icon: 'error',
      })
    })
  },
  data: {
    list: [],
    DeleteIndex: null,
    DeleteOff: true
  },
  DeleteItem() { // 确认删除逻辑
    if (this.data.DeleteOff) {
      this.setData({
        DeleteOff: false
      })
    }
  }
})